﻿using Stride.Core.Mathematics;

namespace ForceDirected
{

    //a graph edge
    public class FDEdge
    {
        public FDNode From;
        public FDNode To;

        public FDEdge(FDNode f, FDNode t)
        {
            From = f;
            To = t;
            From.Children.Add(this);
            To.Parent.Add(this);
        }

        public void Update()
        {
            var att = Forces.Attract(From.Position - To.Position);

            From.Velocity -= From.Parent.Count == 0 ? new Vector3(0f) : att;
            To.Velocity += att;
        }
    }
}
